Page MenuHomePhabricator

i18n changes not taking effect on Beta Cluster
Closed, ResolvedPublic

Description

  1. Create or edit a Summary on a watched page(do not do Mention there).
  2. A watcher of a page will receive Notifications that display the following.

<div class="mw-echo-ui-notificationItemWidget-content-message-header">&lt;notification-header-flow-summary-edited-first&gt;</div>

Note: when a Summary has Mention - the Notifications then will be normal.

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 29 2016, 9:53 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

This appears to be an infrastructural issue with beta labs. http://en.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Notification-header-flow-mention-post-summary is also out of date: $5 isn't bolded even though https://gerrit.wikimedia.org/r/#/c/273232/ was merged on Thursday.

Catrope renamed this task from [betalabs] Regression: Creating Summary notifications dipslay &lt;notification-header-flow-summary-edited-first&gt; to i18n changes not taking effect on beta labs wikis.Feb 29 2016, 10:23 PM
greg renamed this task from i18n changes not taking effect on beta labs wikis to i18n changes not taking effect on Beta Cluster.Feb 29 2016, 10:29 PM

So the json files are being sync'd correctly, seemingly in beta.

https://gerrit.wikimedia.org/r/#/c/273232/ looks correct in the json on deployment-mediawiki02:

thcipriani@deployment-mediawiki02:/srv/mediawiki/php-master/cache/l10n/upstream$ python
Python 2.7.6 (default, Jun 22 2015, 17:58:13) 
[GCC 4.8.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import json
>>> with open('l10n_cache-en.cdb.json') as f:
...   a = json.loads(f.read())
... 
>>> print a['messages:notification-header-flow-mention-post-summary']
s:59:"$1 {{GENDER:$2|mentioned}} {{GENDER:$4|you}} in "'''$5'''".";

Re-checked in betalabs - jason updates for Summary notifications seem to be in place. Closing the task.

In the screenshot below - three Notifications types coming from Summary: creating a Summary, updating a Summary, and Mention in Summary.

Etonkovidova closed this task as Resolved.Mar 1 2016, 12:12 AM